import { IAlertService } from './Interface/IAlertService';
import { AlertDefinition } from '../../AdaptableState/AlertState';
import { EmitterCallback } from '../Emitter';
import { AdaptableApi } from '../../types';
export declare class AlertService implements IAlertService {
    private adaptableApi;
    private emitter;
    private reactiveAlertsMap;
    constructor(adaptableApi: AdaptableApi);
    destroy(): void;
    onReactiveAlertTriggered: (callback: EmitterCallback) => (() => void);
    createReactiveAlert(alertDefinition: AlertDefinition): void;
    deleteReactiveAlert(alertDefinition: AlertDefinition): void;
    getReactiveActiveAlerts(): AlertDefinition[];
    isReactiveAlertActive(alertDefinition: AlertDefinition): boolean;
    private evaluateReactiveExpression;
}
